public inbox for elfutils@sourceware.org
 help / color / mirror / Atom feed
* [COMMITTED] tests: run-deleted.sh should SKIP if arch doesn't support unwinding.
@ 2014-12-19 17:37 Mark Wielaard
  0 siblings, 0 replies; only message in thread
From: Mark Wielaard @ 2014-12-19 17:37 UTC (permalink / raw)
  To: elfutils-devel

[-- Attachment #1: Type: text/plain, Size: 2422 bytes --]

Also relax the special ARM needs DWARF check a little to account for eu-stack
error output.

Signed-off-by: Mark Wielaard <mjw@redhat.com>
---
 tests/ChangeLog         | 6 ++++++
 tests/backtrace-subr.sh | 2 +-
 tests/run-deleted.sh    | 9 +++++----
 3 files changed, 12 insertions(+), 5 deletions(-)

diff --git a/tests/ChangeLog b/tests/ChangeLog
index 2c3ba87..89336da 100644
--- a/tests/ChangeLog
+++ b/tests/ChangeLog
@@ -1,3 +1,9 @@
+2014-12-19  Mark Wielaard  <mjw@redhat.com>
+
+	* backtrace-subr.sh (check_native_unsupported): Relax special ARM
+	grep a little.
+	* run-deleted.sh: Call check_native_unsupported.
+
 2014-12-18  Mark Wielaard  <mjw@redhat.com>
 
 	* Makefile.am (EXTRA_DIST): Add testfile-macros-0xff.bz2.
diff --git a/tests/backtrace-subr.sh b/tests/backtrace-subr.sh
index 1d3d6d4..f04721c 100644
--- a/tests/backtrace-subr.sh
+++ b/tests/backtrace-subr.sh
@@ -87,7 +87,7 @@ check_native_unsupported()
   # and we can fall back on .debug_frame for the CFI.
   case "`uname -m`" in
     arm* )
-      if grep 'dwfl_thread_getframes: No DWARF information found' $err; then
+      if egrep 'dwfl_thread_getframes(.*)No DWARF information found' $err; then
 	echo >&2 $testname: arm needs debuginfo installed for all libraries
 	exit 77
       fi
diff --git a/tests/run-deleted.sh b/tests/run-deleted.sh
index 8c4d928..95d9444 100755
--- a/tests/run-deleted.sh
+++ b/tests/run-deleted.sh
@@ -15,7 +15,7 @@
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
 
-. $srcdir/test-subr.sh
+. $srcdir/backtrace-subr.sh
 
 tempfiles deleted deleted-lib.so
 cp -p ${abs_builddir}/deleted ${abs_builddir}/deleted-lib.so .
@@ -28,14 +28,15 @@ unset VALGRIND_CMD
 pid=$(testrun ${abs_builddir}/deleted)
 sleep 1
 rm -f deleted deleted-lib.so
-tempfiles bt
+tempfiles bt bt.err
 
 set VALGRIND_CMD="$OLD_VALGRIND_CMD"
 # It may have non-zero exit code with:
 # .../elfutils/src/stack: dwfl_thread_getframes tid 26376 at 0x4006c8 in .../elfutils/tests/deleted: no matching address range
-testrun ${abs_top_builddir}/src/stack -p $pid >bt || true
-cat bt
+testrun ${abs_top_builddir}/src/stack -p $pid 1>bt 2>bt.err || true
+cat bt bt.err
 kill -9 $pid
 wait
+check_native_unsupported bt.err deleted
 grep -qw libfunc bt
 grep -qw main bt
-- 
1.8.3.1


^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2014-12-19 17:37 UTC | newest]

Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2014-12-19 17:37 [COMMITTED] tests: run-deleted.sh should SKIP if arch doesn't support unwinding Mark Wielaard

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).